datadir = @prefix@/doc/terraform

EXTRA_DIST =	FAQ.sgml \
		i18n.txt \
		README.sgml \
		UsersGuide.sgml

data_DATA =	FAQ.sgml \
		i18n.txt \
		README.sgml \
		UsersGuide.sgml

if HAVE_SGMLTOOLS

FAQ.txt: FAQ.sgml
	sgmltools -b txt FAQ.sgml

FAQ.ps: FAQ.sgml
	sgmltools -b ps FAQ.sgml

FAQ: FAQ.sgml
	rm -rf FAQ
	sgmltools -b html FAQ.sgml

README.txt: README.sgml
	sgmltools -b txt README.sgml

README.ps: README.sgml
	sgmltools -b ps README.sgml

README: README.sgml
	rm -rf README
	sgmltools -b html README.sgml

UsersGuide.txt: UsersGuide.sgml
	sgmltools -b txt UsersGuide.sgml

UsersGuide.ps: UsersGuide
	sgmltools -b ps UsersGuide.sgml

UsersGuide: UsersGuide.sgml
	rm -rf UsersGuide
	sgmltools -b html UsersGuide.sgml

buildFAQ: FAQ.txt FAQ FAQ.ps
buildREADME: README.txt README README.ps
buildUsersGuide: UsersGuide.txt UsersGuide UsersGuide.ps

html: FAQ README UsersGuide
ps: FAQ.ps README.ps UsersGuide.ps
txt: FAQ.txt README.txt UsersGuide.txt

all: buildFAQ buildREADME buildUsersGuide
endif


clean: 
	rm -rf FAQ.txt FAQ.ps FAQ
	rm -rf README.txt README.ps README
	rm -rf UsersGuide.txt UsersGuide.ps UsersGuide

